Subject: Install icons, images, man page and desktop files through setup.py (was: Re: Bug#92: ZeroDivisionError: float division by zero error on startup)

From: Mike Gabriel <[email-masked]>
Date: Thu, 20 Dec 2012 10:00:45 +0100

retitle #92 Install icons, images, man page and desktop files through setup.py
tag #92 pending
thanks

Hi Orion,

On Di 18 Dez 2012 23:22:20 CET Orion Poplawski wrote:

> On 12/18/2012 01:57 PM, Mike Gabriel wrote:
>>
>> It seems very likely that your pyhoca-gui instance does not find the image
>> folder shipped with it.
>>
>> Can you check that?
>
> Ah, it seems setup.py doesn't do everything it needs to.  The   
> attached patch I think does what is needed for the most part.    
> Doesn't handle the debian links file though.

I have added two commits for that to X2Go Git, can you cross-check that?

First one (unfortunately a dirty commit, see at the botton):
http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=51c52fb1b0d3f94c6cc9c1d42fe5f84674e6026e

Then for the symlinks:
http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=052916c4ea0d523a6db253b4f0ffe394d932aab9

> Other notes:
> - Categories in pyhoca-gui.desktop needs a trailing semicolon.

Done!
http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=1a1ab1dbd055d31ec639da9ddf815afc7a55d86f

> - There is /usr/bin/env python at the top of   
> pyhoca/wxgui/messages.py, but I imagine that file isn't meant to be   
> executed directly.

Done!
http://code.x2go.org/gitweb?p=pyhoca-gui.git;a=commitdiff;h=6cdc40a31c8ca51ac9feade208cea13a9157308c

> Finally, I seem to be able to connect to the server properly, but no  
>  window ever appears, and no errors.

I will answer that off-BTS as it is not part of this bug report, actually.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb